import React from 'react';
import { ViewStyle, TextStyle } from 'react-native';
import buttonStyles from './styles';
export { buttonStyles };
export interface ButtonProps {
    testID?: string;
    style?: ViewStyle | ViewStyle[];
    textStyle?: TextStyle | TextStyle[];
    textColorInverse?: boolean;
    type?: 'default' | 'primary' | 'danger' | 'info' | 'success' | 'warning' | 'text';
    size?: 'sm' | 'md' | 'lg';
    children?: any;
    disabled?: boolean;
    onPress?: Function;
}
export declare class Button extends React.Component<ButtonProps, any> {
    private containerRef;
    private animated;
    static defaultProps: {
        style: {};
        textStyle: {};
        textColorInverse: boolean;
        type: string;
        size: string;
        disabled: boolean;
        onPress: any;
    };
    constructor(props: any);
    componentDidMount(): void;
    measure(...args: any[]): void;
    handlePress(): void;
    handleLayout: (e: any) => void;
    render(): JSX.Element;
}
